image: "python:3.7"

stages:
  - build
  - test
  - publish

build-job:
  stage: build
  script:
    - |
      # convert notebook to pyspark script
      make py
  artifacts: 
    paths: 
      - build/algorithm.py
    expire_in:  1 week

# TODO(gmodena): investigate why CI_JOB_TOKEN is not  expanded correctly when set in .pypirc
publish-package:
  stage: publish
  when: manual
  script:
    - make venv
    - . venv/bin/activate; python setup.py sdist bdist_wheel
    - TWINE_PASSWORD=${CI_JOB_TOKEN} TWINE_USERNAME=gitlab-ci-token ./venv/bin/python -m twine upload --repository-url ${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/pypi dist/* --verbose
